<?php
namespace Ak\Wp;

use Laminas\Cache\Service\StorageCacheAbstractServiceFactory;

if (!is_dir(dirname(__DIR__) . '/var/cache')) {
    mkdir (dirname(__DIR__) . '/var/cache', 0777, true);
}

return [
    'caches' => [
        'cache.shortcodes' => [
            'adapter' => 'redis',
            'options' => [
//                'cache_dir' => dirname(__DIR__) . '/var/cache',
                'namespace' => 'wp.shortcodes',
                'server' => ['localhost', 6379, 1],
            ],
        ],
        'cache.translations' => [
            'adapter' => 'redis',
            'options' => [
//                'cache_dir' => dirname(__DIR__) . '/var/cache',
                'namespace' => 'wp.translations',
                'server' => ['localhost', 6379, 1],
            ],
            'plugins' => [
                'serializer',
            ],
        ],
    ],

    'dependencies' => [
        'factories' => [
            'cache.shortcodes' => StorageCacheAbstractServiceFactory::class,
            'cache.translations' => StorageCacheAbstractServiceFactory::class,
        ],
    ],
];
