<?php
namespace Ak\Wp;

use Zend\Diactoros\Response;
use Zend\Diactoros\ServerRequest;
use Zend\Diactoros\ServerRequestFactory;
use Zend\HttpHandlerRunner\Emitter\SapiEmitter;
use Zend\HttpHandlerRunner\RequestHandlerRunner;
use Zend\Stratigility\Middleware\ErrorResponseGenerator;

include __DIR__ . '/vendor/autoload.php';

$configFactory = new Service\ConfigFactory(__DIR__ . '/var/config');
$config = $configFactory(__DIR__ . '/config', false);

$containerFactory = new Service\ContainerFactory();
$container = $containerFactory($config);

define('ABSPATH', __DIR__ . '/wp/');

wp_paths();
wp_db_config($container);
wp_debug_config($container);

$app = new WordPress();

$runner = new RequestHandlerRunner(
    $app,
    new SapiEmitter(),
    function () use ($container) {
        return ServerRequestFactory::fromGlobals()
            ->withAttribute('container', $container);
    },
    function (\Throwable $e) {
        $generator = new ErrorResponseGenerator();
        return $generator($e, new ServerRequest(), new Response());
    }
);

$runner->run();