<?php
namespace Ak\Wp\Handler;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Laminas\Diactoros\Response\RedirectResponse;

/**
 * Class Install
 *
 * @package Ak\Wp\Handler
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp
 */
final class Install implements MiddlewareInterface
{
    /**
     * Process an incoming server request and return a response, optionally delegating
     * response creation to a handler.
     *
     * @param ServerRequestInterface $request
     * @param RequestHandlerInterface $handler
     * @return ResponseInterface
     */
    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        if (!is_blog_installed()) {
            $this->includes();

            wp_installing(true);
            wp_download_language_pack('hr');
            load_default_textdomain('hr');

            wp_install('AK Webshop', 'admin', 'web@ep.hr', false, '', 'admin', 'hr');

            update_option('home', WP_HOME);
            update_option('permalink_structure', '/%postname%/');
            flush_rewrite_rules();
        }

        return new RedirectResponse('/');
    }

    public function includes(): void
    {
        require_once ABSPATH . 'wp-admin/includes/file.php';
        require_once ABSPATH . 'wp-admin/includes/schema.php';
        require_once ABSPATH . 'wp-admin/includes/translation-install.php';
        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
    }
}
